FROM        alpine:3
RUN         apk add --no-cache dumb-init=1.2.5-r3 bash=5.3.3-r1

WORKDIR     /app

COPY        ./etc /app/config
COPY        ./build/hamview-collector /app/hamview-collector
COPY        ./cmd/hamview-collector/entrypoint.sh /entrypoint.sh

ENTRYPOINT  ["dumb-init", "/entrypoint.sh"]
